# 32/64 specfile
#
%define	name	gparted
%define	version	0.26.0
%define	release	%mkrel 1

Summary:	Graphical frontend to libparted
Summary(de):	Grafischer Frontend für libparted
Summary(pl):	Graficzna nakładka na libparted
Name:	    %{name}
Version:    %{version}
Release:    %{release}
License:    GPLv2+
Group:      System/Kernel and hardware 
URL:        http://gparted.sourceforge.net     
Source0:    http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
Source1:    run-gparted
Source2:    gparted-pam.d
Source3:    gparted-console.apps
BuildRoot:  	%{_tmppath}/%{name}-%{version}-root
#---------------------------------------------
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}atkmm1.6-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}cairomm1.0-devel
BuildRequires: %{_lib}fontconfig-devel
BuildRequires: %{_lib}freetype6-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}glibmm2.4-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}gtkmm2.4-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}pangomm2.4-devel
BuildRequires: %{_lib}parted-devel
BuildRequires: %{_lib}sigc++2.0_0-devel
BuildRequires: %{_lib}uuid-devel
#---------------------------------------------
BuildRequires: libxml2-utils
BuildRequires: desktop-file-utils
BuildRequires: gnome-doc-utils
BuildRequires: intltool
Requires:   	usermode-consoleonly
Requires:   	gksu
Obsoletes: 	%name < %version

%description
GParted stands for Gnome Partition Editor and is a graphical frontend to 
libparted. Among other features it supports creating, resizing, moving 
and copying of partitions.

%description -l de
GParted steht für Gnome Partition Editor und ist ein graphisches Frontend zu libparted. 
Neben anderen Features, unterstützt es das Erstellen, Ändern der Größe, 
Verschieben und Kopieren von Partitionen. 

%description -l pl
GParted jest graficzą nakładką na libparted. Służy do partycjonowania dysku. Obsługuje
tworzenie, kopiowanie, modyfikacje wielkości oraz usuwanie partycji.

%prep
%setup -q

%build
export CXXFLAGS="%{optflags} -std=gnu++11"
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# don't ship .la
find %{buildroot} -name '*.la' -exec rm -f {} \;

# don't ship .a
find %{buildroot} -name '*.a' -exec rm -f {} \;

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=GParted
GenericName=Partition Editor
_X-GNOME-FullName=GParted Partition Editor
Comment=Create, reorganize, and delete partitions
Exec=gksu -l gparted
Icon=gparted
Terminal=false
Type=Application
Categories=GNOME;System;Settings;Filesystem;X-MandrivaLinux-System-Configuration-Hardware
StartupNotify=true
EOF


%find_lang %name --with-gnome

# Create a helper script to launch gparted using hal-lock
mkdir -p $RPM_BUILD_ROOT%{_bindir}
cp %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/
chmod 755 $RPM_BUILD_ROOT%{_bindir}/run-gparted

#consolehelper
ln -sf consolehelper $RPM_BUILD_ROOT%{_bindir}/gparted

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps
cp %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps/gparted

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/pam.d
cp %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/gparted

%clean
rm -rf $RPM_BUILD_ROOT

%preun
if [ $1 -ge 0 ]; then
    if [ -a %{_datadir}/hal/fdi/policy/gparted-disable-automount.fdi ]; then
       rm -rf %{_datadir}/hal/fdi/policy/gparted-disable-automount.fdi
    fi
fi

%post
%update_icon_cache hicolor
         
%postun
%clean_icon_cache hicolor

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS README COPYING ChangeLog
%{_bindir}/%{name}
%{_bindir}/run-gparted
%{_sbindir}/%{name}*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/*
%{_mandir}/man8/*
%{_datadir}/omf/%{name}/%{name}-*.omf
%config(noreplace) %{_sysconfdir}/pam.d/gparted
%config(noreplace) %{_sysconfdir}/security/console.apps/gparted
%{_datadir}/appdata/gparted.appdata.xml

%changelog
* Wed Apr 27 2016 bb <bb> 0.26.0-1pclos2016
- update

* Mon Jan 18 2016 bb <bb> 0.25.0-1pclos2016
- update

* Wed Nov 04 2015 bb <bb> 0.24.0-1pclos2015
- update

* Mon Aug 24 2015 bb <bb> 0.23.0-1pclos2015
- update

* Thu Apr 02 2015 bb <bb> 0.22.0-2pclos2015
- rebuild against parted 3.2

* Thu Mar 26 2015 bb <bb> 0.22.0-1pclos2015
- update

